import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import http from './plugins/http';
import ElementUI from 'element-ui';
import './styles/element/index.css';
import common from './mixins/common';
ElementUI.Dialog.props.closeOnClickModal.default = false;
import SingleUpload from '@/components/SingleUpload';
import './styles/font.less';
import './styles/app.less';
import eventBus from './eventBus';

Vue.prototype.$colors = {
    prim: '#FF7F1F',
    red: '#F42202'
};
Vue.use(ElementUI);
Vue.use(http);
Vue.mixin(common);
Vue.component('single-upload', SingleUpload);
Vue.prototype.$EventBus = eventBus;

Vue.config.productionTip = false;

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app');
